%define original_kernel_version	2.6.22
%define patch_level		19
%if %patch_level
%define kernel_version		%original_kernel_version.%patch_level
%else
%define kernel_version		%original_kernel_version
%endif

%define testing			0

%if %testing
%define kernel_fullversion	%kernel_version%patch_level
%else
%define kernel_fullversion	%kernel_version
%endif

# Numeric extra version scheme developed by Alexander Bokovoy:
# 0.0.X -- preX
# 0.X.0 -- rcX, testX
# 1.0.0 -- release
%define patch_level_numeric     1.0.%patch_level

Name: kernel-source-%original_kernel_version
Version: %patch_level_numeric
Release: alt1

Summary: Linux kernel %kernel_fullversion sources
License: GPL
Group: Development/Kernel

Source0: linux-%original_kernel_version.tar.bz2
%if %patch_level
Patch: patch-%kernel_version.bz2
%endif

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
Kernel sources for Linux kernel %kernel_fullversion

%prep
%setup -qc
mv linux-%original_kernel_version kernel-source-%original_kernel_version
%if %patch_level
pushd kernel-source-%original_kernel_version
%patch -p1
popd
%endif
%if %testing
pushd kernel-source-%original_kernel_version
popd
%endif

%install
mkdir -p %kernel_srcdir
tar --owner=root --group=root --mode=u+w,go-w,go+rX -cjf \
	%kernel_srcdir/kernel-source-%original_kernel_version.tar.bz2 \
	kernel-source-%original_kernel_version

%files
%kernel_src/kernel-source-%original_kernel_version.tar.bz2

%changelog
* Tue Feb 26 2008 Led <led@altlinux.ru> 1.0.19-alt1
- 2.6.22.19

* Mon Feb 11 2008 Led <led@altlinux.ru> 1.0.18-alt1
- 2.6.22.18

* Mon Feb 11 2008 Led <led@altlinux.ru> 1.0.17-alt1
- 2.6.22.17

* Fri Feb 01 2008 Led <led@altlinux.ru> 1.0.16-alt1
- build for Sisyphus

* Wed Jan 16 2008 Led <led@altlinux.ru> 1.0.16-alt0.1
- 2.6.22.16

* Mon Dec 24 2007 Led <led@altlinux.ru> 1.0.15-alt0.1
- 2.6.22.15

* Fri Nov 16 2007 Led <led@altlinux.ru> 1.0.13-alt0.1
- 2.6.22.13

* Tue Oct 23 2007 Led <led@altlinux.ru> 1.0.10-alt0.1
- 2.6.22.10

* Mon Aug 27 2007 Led <led@altlinux.ru> 1.0.5-alt0.1
- 2.6.22.5

* Fri Aug 17 2007 Led <led@altlinux.ru> 1.0.3-alt0.1
- 2.6.22.3

* Mon Jul 23 2007 Led <led@altlinux.ru> 1.0.1-alt0.1
- 2.6.22.1

* Sun Oct 29 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.18

* Sun Jun 18 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.17

* Sun Apr 23 2006 Dmitry V. Levin <ldv@altlinux.org> 1.0.0-alt2
- Specfile cleanup.

* Mon Mar 20 2006 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.16

* Fri Oct 28 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.14

* Sat Jun 18 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.12
- Removed kernel-doc package (documentation generation is performed when
  building kernel-image-%%flavour packages).

* Thu Mar 03 2005 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.11

* Mon Dec 27 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0-alt1
- 2.6.10

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt1
- 2.6.9
